Package org.eclipse.gef

# Interface EditPartListener

All Known Implementing Classes:
  `EditPartListener.Stub`

public interface EditPartListener
The listener interface for receiving basic events from an EditPart. Listeners interested in only one type of Event can extend the `EditPartListener.Stub` implementation rather than implementing the entire interface.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`EditPartListener.Stub`
Listeners interested in just a subset of Events can extend this stub implementation.

## Method Summary

Modifier and Type
Method
Description
`void`
`childAdded(EditPart child, int index)`
Called after a child EditPart has been added to its parent.
`void`
`partActivated(EditPart editpart)`
Called when the editpart has been activated.
`void`
`partDeactivated(EditPart editpart)`
Called when the editpart has been deactivated.
`void`
`removingChild(EditPart child, int index)`
Called before a child EditPart is removed from its parent.
`void`
`selectedStateChanged(EditPart editpart)`
Called when the selected state of an EditPart has changed.

## Method Details

### childAdded

void childAdded(EditPart child, int index)
Called after a child EditPart has been added to its parent.

Parameters:
  `child` - the Child
  `index` - the index at which the child was added

### partActivated

void partActivated(EditPart editpart)
Called when the editpart has been activated.

Parameters:
  `editpart` - the EditPart

### partDeactivated

void partDeactivated(EditPart editpart)
Called when the editpart has been deactivated.

Parameters:
  `editpart` - the EditPart

### removingChild

void removingChild(EditPart child, int index)
Called before a child EditPart is removed from its parent.

Parameters:
  `child` - the Child being removed
  `index` - the child's current location

### selectedStateChanged

void selectedStateChanged(EditPart editpart)
Called when the selected state of an EditPart has changed. Focus changes also result in this method being called.

Parameters:
  `editpart` - the part whose selection was changed
See Also:
  - `EditPart.getSelected()`